/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_TPETAPACAO                                               */
/* Tabela : TPETAPACAO                                                        */
/*                                                                            */
/* Criao:                                                                   */
/* 16/03/2004 - Raphael Freitas Pinheiro                                      */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_TPETAPACAO
BEFORE INSERT OR UPDATE OR DELETE
ON TPETAPACAO FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUTPET := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDTPETAPACAO,0) <> NVL(:NEW.CDTPETAPACAO,0)) OR
         (NVL(:OLD.NMTPETAPACAO,0) <> NVL(:NEW.NMTPETAPACAO,0)) THEN
         :NEW.DTULTATUTPET := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('TPETAPACAO', '', 'CDTPETAPACAO='||:OLD.CDTPETAPACAO||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE TPETAPACAO MODIFY DTULTATUTPET DEFAULT SYSDATE
/
